View Issue Details

IDProjectCategoryView StatusLast Update
0018799LazarusWidgetsetpublic2011-12-01 11:26
ReportergiorgiotaniAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018799: Hint window is different than system's Windows Vista / 7 hint
DescriptionI would like to report that there is a couple of minor visual differences, on Windows Vista and 7, from standard system's hint window and the ones created by applications compiled with Lazarus.
In attached screenshot you can see that in hint window of an application compiled with Lazarus (9.28.2 and 0.9.29 SVN):
1) bottom right angle ends with a white pixel that does not blend well with the shadow of the hint window
2) font has the same color of window text; below in the screenshot, a system's hint window showing the font color is more like inactive caption text.
TagsNo tags attached.
Fixed in Revision29641,29642,29643
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0017738 closedPaul Ishenin Hints under Windows 7 have wrong geometry 

Activities

2011-02-21 23:08

 

hint.png (14,334 bytes)
hint.png (14,334 bytes)

Paul Ishenin

2011-02-22 07:47

manager   ~0046185

Please test and close if ok.

giorgiotani

2011-03-30 17:19

reporter   ~0046953

In 0.9.30 final the hint shows the same problem on Vista / 7.

Paul Ishenin

2011-03-31 00:26

manager   ~0046987

Last edited: 2011-03-31 04:03

Please read the bug report properly:

Fixed in version 0.9.31 (SVN)
Fixed in revision 29641,29642,29643

Not every bug fix goes to the release.

giorgiotani

2011-03-31 10:07

reporter   ~0047000

I understood, and I hoped it was going to be fixed on the 0.9.30 final.
The first report of the problem was 2010-10-28, 5 months ago.
I understand the long term stable release codebase needs to be freezed, I understand it is just a small visual problem.
But Vista / 7 userbase is huge, and rapidly growing, and an highly visible glitch on one of the most widely used graphic component, even if the problem is just matter of look and feel, it is not good to stay in the stable release.

Vincent Snijders

2011-03-31 10:19

manager   ~0047001

Last edited: 2011-03-31 10:19

If you wanted it to be in 0.9.30, you should have created a patch for it before end December.

The release was tagged r29689, so there was no time to review the impact of this change.

Even you self did not verify that it was fixed in 0.9.31 until yesterday. We need such confirmation, before fixes are merged to a stable branch, even if it is not days before tagging a release.

Issue History

Date Modified Username Field Change
2011-02-21 23:08 giorgiotani New Issue
2011-02-21 23:08 giorgiotani File Added: hint.png
2011-02-21 23:08 giorgiotani Widgetset => Win32/Win64
2011-02-22 03:04 Paul Ishenin Fixed in Revision => 29641
2011-02-22 03:04 Paul Ishenin LazTarget => -
2011-02-22 07:47 Paul Ishenin Fixed in Revision 29641 => 29641,29642,29643
2011-02-22 07:47 Paul Ishenin Status new => resolved
2011-02-22 07:47 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-02-22 07:47 Paul Ishenin Resolution open => fixed
2011-02-22 07:47 Paul Ishenin Assigned To => Paul Ishenin
2011-02-22 07:47 Paul Ishenin Note Added: 0046185
2011-02-22 07:51 Paul Ishenin Relationship added has duplicate 0017738
2011-03-30 17:19 giorgiotani Status resolved => assigned
2011-03-30 17:19 giorgiotani Resolution fixed => reopened
2011-03-30 17:19 giorgiotani Note Added: 0046953
2011-03-31 00:26 Paul Ishenin Status assigned => resolved
2011-03-31 00:26 Paul Ishenin Resolution reopened => fixed
2011-03-31 00:26 Paul Ishenin Note Added: 0046987
2011-03-31 04:03 Paul Ishenin Note Edited: 0046987
2011-03-31 04:03 Paul Ishenin Note Edited: 0046987
2011-03-31 10:07 giorgiotani Note Added: 0047000
2011-03-31 10:19 Vincent Snijders Note Added: 0047001
2011-03-31 10:19 Vincent Snijders Note Edited: 0047001
2011-12-01 11:26 Marc Weustink Status resolved => closed